+ Reply to Thread
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 19
  1. #1
    Senior Member
    Using
    AutoCAD 2007
    Join Date
    Feb 2007
    Location
    Brisbane Australia
    Posts
    447

    Default survey coordinates

    Registered forum members do not see this ad.

    I sometimes have to draw of survey plans

    I can draw this manualy drawing very slow because I am cheaking, double cheaking and cheaking again so I don't make a mistake. They are all realitive and a mistake will make them all wrong

    or I can write this in my menu

    ^C^C_line;0,0;+
    @970.947<233d19'55";+
    @115.625<237d19'25";+
    @128.625<276d38'45";

    If I make a mistake it is easy to edit my menu and run it again


    How do I write this in lisp?
    I'm now a senior member.
    Someone may think that I know what I'm doing. If so, I sure fooled them!

  2. #2
    Senior Member
    Using
    AutoCAD 2007
    Join Date
    Feb 2007
    Location
    Brisbane Australia
    Posts
    447

    Default

    for 88.057<109d01'25";+
    @115.625<237d19'25";
    Id like to write

    88.057
    109
    1
    25
    115.625
    237
    19
    25

    or something like that where the values are sepparate but still close together
    I'm now a senior member.
    Someone may think that I know what I'm doing. If so, I sure fooled them!

  3. #3
    Luminous Being alanjt's Avatar
    Using
    Civil 3D 2013
    Join Date
    Apr 2008
    Posts
    6,144

    Default

    Quote Originally Posted by rookie37 View Post
    I sometimes have to draw of survey plans

    I can draw this manualy drawing very slow because I am cheaking, double cheaking and cheaking again so I don't make a mistake. They are all realitive and a mistake will make them all wrong

    or I can write this in my menu

    ^C^C_line;0,0;+
    @970.947<233d19'55";+
    @115.625<237d19'25";+
    @128.625<276d38'45";

    If I make a mistake it is easy to edit my menu and run it again


    How do I write this in lisp?
    i don't understand, you are going to plot lines with the same bearings & distances for multiple occasions (meriting creating a button), or are you just trying to find an easier way to plot lines within autocad? i remember having to draw lines like that @100<N25d19'16"W, i'm so glad LDD has it's own line by bearing option.

  4. #4
    Senior Member
    Using
    AutoCAD 2007
    Join Date
    Feb 2007
    Location
    Brisbane Australia
    Posts
    447

    Default

    I'm trying to find an easier way to plot lines. I also want to write down those commands. It won't be for multiple occasions.

    Currently, I change my menu often which is a hassle and that it why I'd rather do it in a lisp program

    I'm not familure with LDD. Is it a tool in Autocad? It may work but only if I can write down the coordinates I draw
    I'm now a senior member.
    Someone may think that I know what I'm doing. If so, I sure fooled them!

  5. #5
    Full Member hay123's Avatar
    Using
    Map 3D 2010
    Join Date
    Aug 2008
    Location
    Australia
    Posts
    67

    Default

    Hi,

    I am a surevy draftsperson, and have to draw lines at different bearings all the time. For me it's second nature a bit to type a line at - @10<4d12'45" (enter) @12<120d8'16"
    I was a bit confused when you said you have to change your "menu" all the time, can you explain what you mean?

    Also, I find mistakes are usually picked up at the end. Usually I would type bearings and distances when creating lot boundaries, and if the boundary dose not close at the end, than I have made a mistake somewhere, and just do a quick check via properties box to see whats wrong.

    Sorry I can't be more helpful. Will be watching to see if anyone comes up with something clever.

  6. #6
    Forum Deity
    Using
    Civil 3D 2008
    Join Date
    Sep 2006
    Location
    Pittsburgh, PA, USA
    Posts
    3,581

    Default

    Try this
    Code:
    ;Tip1741:  BD.LSP           Bearing/Distance lines         (c)2001, Joon Hong  $50 Bonus Winner
    
    (defun C:BD  ()
      (setvar "cmdecho" 0)
      (initget 1)
      (setq PT (getpoint "\nPick a starting point: "))
      (initget 1 "NE NW SE SW")
      (setq BR (getkword "\nPick bearing (NE/NW/SE/SW): "))
      (setq OPT (strcase BR))
      (initget 1)
      (setq LEN (getreal "\nType the length: "))
      (setq DEG (getstring "\nType the degree: ")
            minx (getstring "\nType the minute: ")
            SEC (getstring "\nType the second: "))
      (if (= DEG "")
        (setq DEG "0"))
      (if (= minx "")
        (setq minx "0"))
      (if (= SEC "")
        (setq SEC "0"))
      (cond ((= "SW" OPT)
             (setvar "angbase" (cvunit 270 "degree" "radian"))
             (setvar "angdir" 1))
            ((= "SE" OPT)
             (setvar "angbase" (cvunit 270 "degree" "radian"))
             (setvar "angdir" 0))
            ((= "NW" OPT)
             (setvar "angbase" (cvunit 90 "degree" "radian"))
             (setvar "angdir" 0))
            ((= "NE" OPT)
             (setvar "angbase" (cvunit 90 "degree" "radian"))
             (setvar "angdir" 1)))
      (command "line" PT (strcat "@" (rtos LEN) "<" DEG "d" minx "'" SEC "\"") "")
      (setvar "angbase" 0)
      (setvar "angdir" 0)
      (setvar "cmdecho" 1)
      (princ))
    (princ "\nType 'BD' to draw lines with bearings")
    (princ)

  7. #7
    Senior Member
    Using
    AutoCAD 2007
    Join Date
    Feb 2007
    Location
    Brisbane Australia
    Posts
    447

    Default

    Thank you lpseifert

    That program is a huge timesaver!

    However, I still don't know how to set up acad for bearing distance

    I can change the setup but there are many options to choose

    rotation
    clockwise?

    direction
    n?
    e?
    s?
    w?

    My ignorance in this reminds me of my Navy days. When I was still very green, I was sent all over the ship asking to borrow some relative bearing grease.

    I'm now a senior member.
    Someone may think that I know what I'm doing. If so, I sure fooled them!

  8. #8
    Full Member hay123's Avatar
    Using
    Map 3D 2010
    Join Date
    Aug 2008
    Location
    Australia
    Posts
    67

    Default

    I type 'units' then change the 'angle' to Deg/Min/Sec, and direction to North 270 (which makes 0deg at top of page or 12:00 on a clock)

  9. #9
    Super Member nocturne00's Avatar
    Computer Details
    nocturne00's Computer Details
    Operating System:
    Windows Vista SP2
    Computer:
    Dell Studio XPS
    CPU:
    Intel(R) Core(TM)2 Duo CPU P8600
    RAM:
    4GB DDR3 RAM
    Graphics:
    ATI Radeon, 512MB
    Monitor:
    22" Samsung
    Using
    AutoCAD 2009
    Join Date
    Jun 2008
    Location
    Tartarus
    Posts
    765

    Default

    Quote Originally Posted by lpseifert View Post
    Try this
    Code:
    ;Tip1741:  BD.LSP           Bearing/Distance lines         (c)2001, Joon Hong  $50 Bonus Winner
     
    (defun C:BD  ()
      (setvar "cmdecho" 0)
      (initget 1)
      (setq PT (getpoint "\nPick a starting point: "))
      (initget 1 "NE NW SE SW")
      (setq BR (getkword "\nPick bearing (NE/NW/SE/SW): "))
      (setq OPT (strcase BR))
      (initget 1)
      (setq LEN (getreal "\nType the length: "))
      (setq DEG (getstring "\nType the degree: ")
            minx (getstring "\nType the minute: ")
            SEC (getstring "\nType the second: "))
      (if (= DEG "")
        (setq DEG "0"))
      (if (= minx "")
        (setq minx "0"))
      (if (= SEC "")
        (setq SEC "0"))
      (cond ((= "SW" OPT)
             (setvar "angbase" (cvunit 270 "degree" "radian"))
             (setvar "angdir" 1))
            ((= "SE" OPT)
             (setvar "angbase" (cvunit 270 "degree" "radian"))
             (setvar "angdir" 0))
            ((= "NW" OPT)
             (setvar "angbase" (cvunit 90 "degree" "radian"))
             (setvar "angdir" 0))
            ((= "NE" OPT)
             (setvar "angbase" (cvunit 90 "degree" "radian"))
             (setvar "angdir" 1)))
      (command "line" PT (strcat "@" (rtos LEN) "<" DEG "d" minx "'" SEC "\"") "")
      (setvar "angbase" 0)
      (setvar "angdir" 0)
      (setvar "cmdecho" 1)
      (princ))
    (princ "\nType 'BD' to draw lines with bearings")
    (princ)
    Sorry, couldnt help to grab this, been lookin for something like this for a while now also, just posting to consent.
    thanks
    ....always perform Beyond what is expected.

  10. #10
    Forum Deity
    Using
    Civil 3D 2008
    Join Date
    Sep 2006
    Location
    Pittsburgh, PA, USA
    Posts
    3,581

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by rookie37

    However, I still don't know how to set up acad for bearing distance

    I can change the setup but there are many options to choose

    rotation
    clockwise?

    direction
    n?
    e?
    s?
    w?

    My ignorance in this reminds me of my Navy days. When I was still very green, I was sent all over the ship asking to borrow some relative bearing grease.
    In what format is the survey data? Surveyor's Units (e.g. 110' N45d30'30"E)?
    Post an example of the data you need to input, it would help in telling how to set up your units.

Similar Threads

  1. Survey Help
    By stephenward in forum AutoCAD General
    Replies: 8
    Last Post: 15th Jun 2008, 05:10 pm
  2. Replies: 1
    Last Post: 15th Feb 2008, 07:21 am
  3. Survey
    By bauvi727 in forum AutoCAD Drawing Management & Output
    Replies: 10
    Last Post: 6th Nov 2006, 03:07 pm
  4. Survey coordinates
    By GW in forum AutoCAD Beginners' Area
    Replies: 4
    Last Post: 20th Feb 2006, 01:27 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts